Beefy Boxes and Bandwidth Generously Provided by pair Networks
laziness, impatience, and hubris

(Guildenstern) RE: PPM please!!

by Guildenstern (Deacon)
on Sep 20, 2000 at 17:56 UTC ( #33283=note: print w/replies, xml ) Need Help??

in reply to PPM please!!

I've noticed the same problem as well, and the only thing that I can come up with is that ActiveState's repository is a much smaller subset of what's available on CPAN. Your best bet is to grab nmake from Microsoft, and use it to install modules that you download directly from CPAN. I haven't had any problems yet, but you'll need to remember that documentation does not get updated automatically this way as it does using PPM. Therefore, you'll most likey have to use pod2html and link it in to the ActiveState online html docs somehow.
Hope this helps!

Negaterd character class uber alles!
  • Comment on (Guildenstern) RE: PPM please!!

Replies are listed 'Best First'.
RE: (Guildenstern) RE: PPM please!!
by elwarren (Curate) on Sep 20, 2000 at 18:58 UTC

    Don't rely on the ActiveState docs too much, they tend to get corrupted after awhile. I've installed a bunch of modules on my workstation and eventually you end up with duplicate entries, old non-updated entries, and stuff that just didn't get added. And it crashes some older browsers.

    Still a great tool to have around, just a couple problems I've run into...

RE: (Guildenstern) RE: PPM please!!
by Billy (Novice) on Sep 20, 2000 at 18:42 UTC
    Even .ppd files such as which I know exist still don't get recognised.
    Is this the same problem you are having?
    By the way what operating system are you using win9* or NT?


      I'm running NT4, and I just checked with PPM and I don't show Net-Daemon, either. I did, however, find a link that will let you download the file directly. Try this link, and download the .zip of the package that you're looking for. I went ahead and got, which includes source and a .ppd file.
      According to the readme, you should be able to just enter "ppm install Net-Daemon.ppd", but it doesn't work on my system. It complains of not being able to find a binary for my platform.

      Update: After some investigating, this is what I discovered: the link above takes you directly to the 5.005 download directory, the contents of which PPM won't install into ActivePerl 5.6. There is another directory at that contains everything that doing a search under PPM will show you. Net-Daemon does not exist in this directory, so I couldn't test if it would install correctly. Netscape-History does exist in both locations, so I tried it:
      • From 5.005 directory: install failed complaining about no binary found, etc.
      • From 5.6 directory: installed, no problems.
      The only thing I can conclude is that PPM does some version checking, and that if you really want packages that don't show up in the 5.6 directory, you'll have to get them from CPAN instead.

      Negaterd character class uber alles!
        Thanks and sorry Guildenstern I did not see this reply until I had posted the small question.
        It is a version incompatability as you pointed out(or I believe it to be so).
        Thanks for going to the trouble of testing it for me:-)!!


Log In?

What's my password?
Create A New User
Node Status?
node history
Node Type: note [id://33283]
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others about the Monastery: (6)
As of 2016-10-26 01:16 GMT
Find Nodes?
    Voting Booth?
    How many different varieties (color, size, etc) of socks do you have in your sock drawer?

    Results (330 votes). Check out past polls.